﻿Imports PdfSharp.Forms
Imports PdfSharp.Pdf
Imports PdfSharp.Drawing

Public Class PdfSharpPreview
#Region " Variables "

    Private mRenderEvent As PagePreview.RenderEvent
    Private WithEvents mReport As Report

#End Region

    Private Sub SetRenderEvent(ByVal renderEvent As PagePreview.RenderEvent)
        Me.PagePreview.SetRenderEvent(renderEvent)
        mRenderEvent = renderEvent
    End Sub

    Private Sub UpdateDrawing()
        Me.PagePreview.Invalidate()
    End Sub


    'Private Sub MakePdf()
    '    With SaveFileDialog1
    '        .FileName = mReport.DefaultFilename
    '        If (.ShowDialog(Me) = Windows.Forms.DialogResult.OK) Then
    '            mReport.OutputPDF(.FileName)

    '            Me.Close()
    '        End If
    '    End With
    'End Sub

    Protected Overrides Sub OnSizeChanged(ByVal e As System.EventArgs)

        MyBase.OnSizeChanged(e)
        'UpdateStatusBar()
    End Sub

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        Me.PagePreview.PageSize = PdfSharp.PageSizeConverter.ToSize(PdfSharp.PageSize.A4)

        'Me.UpdateStatusBar()
    End Sub

    Public Sub New(ByVal report As Report)
        Me.New()

        mReport = report
        'Initialize the report.

        SetRenderEvent(New PdfSharp.Forms.PagePreview.RenderEvent(AddressOf report.RenderPage))
        ' Me.GoToPage(1)
    End Sub

End Class